package graph.input.file;

import java.io.File;
import java.util.Arrays;
import java.util.List;
import java.util.Properties;

public class InputFolder {
	
	private String mainFolder;
	private List<String> typesOfDO;
	private File folder;

	public InputFolder(Properties properties){
		
		this.mainFolder = properties.getProperty("mainFolder");
		
		this.setTypesOfDO();
	}
	
	public List<String> readTypesOfDO()
	{
		this.folder= new File(mainFolder);
		List<String> typesOfDO = Arrays.asList(this.folder.list());
		return typesOfDO;
		
	}

	public void setTypesOfDO() {
		this.typesOfDO = this.readTypesOfDO();
	}
	
	public List<String> getTypesOfDO()
	{
		return this.typesOfDO;
	}
	
	public File getFolder()
	{
		return this.folder;
	}
	
	
	
	
	
}
